import { joinURL } from "ufo";
import { useSanityVisualEditingState } from "../composables/useSanityVisualEditingState.js";
import { useRuntimeConfig } from "#imports";
import { getImage as getSanityImage } from "#image/providers/sanity";
export const getImage = (src, { modifiers = {} } = {}, ctx) => {
  const sanityConfig = useRuntimeConfig().public.sanity;
  const minimalClientConfig = sanityConfig.minimalClient;
  const useCaching = typeof minimalClientConfig === "object" && minimalClientConfig.cachingEnabled;
  if (useCaching && minimalClientConfig.cacheClientBaseUrl && !useSanityVisualEditingState().enabled) {
    const params = new URLSearchParams();
    params.set("src", src);
    params.set("modifiers", JSON.stringify(modifiers));
    return { url: joinURL(minimalClientConfig.cacheClientBaseUrl, minimalClientConfig.assetEndpoint + `?${params.toString()}`) };
  }
  return getSanityImage(src, { modifiers, projectId: sanityConfig.projectId, dataset: sanityConfig.dataset }, ctx);
};
